SoMFUShort(3)

NAME
SoMFUShort - The SoMFUShort class is a container for unsigned short integer values.

SYNOPSIS

#include <Inventor/fields/SoMFUShort.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFUShort & operator= (const SoMFUShort &field)
virtual SbBool isSame (const SoField &field) const
unsigned short operator[] (const int idx) const
const unsigned short * getValues (const int start) const
int find (unsigned short value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const unsigned short *newvals)
void set1Value (const int idx, unsigned short value)
void setValue (unsigned short value)
unsigned short operator= (unsigned short val)
SbBool operator== (const SoMFUShort &field) const
SbBool operator!= (const SoMFUShort &field) const
unsigned short * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const unsigned short *userdata)
void setValuesPointer (const int num, unsigned short *userdata)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
unsigned short * values

  Additional Inherited Members

Detailed Description

The SoMFUShort class is a container for unsigned short integer values. This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

This field is used where nodes, engines or other field containers need to store a group of multiple short unsigned integer values.

See also
    SoSFUShort

Member Function Documentation

  void * SoMFUShort::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFUShort::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFUShort::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFUShort::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFUShort::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFUShort::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFUShort::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const unsigned short * SoMFUShort::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFUShort::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.